package com.qmth.qrzk.repository.task;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

import com.qmth.qrzk.repository.pager.model.PagerConstruct;
import com.qmth.qrzk.repository.pager.model.PaperSkeleton;
import com.qmth.qrzk.repository.service.query.QueryParams;
import com.qmth.qrzk.repository.user.model.Book;
import com.qmth.qrzk.repository.user.model.Course;
import com.qmth.qrzk.repository.user.model.User;
import com.qmth.qrzk.repository.utils.Consts;

public class Message extends QueryParams{
	
	private Integer id;
	private Integer senderId;//发送人
	private Integer receivedId;//接收人
	private Date createTime;//创建时间
	private Date updateTime;//修改时间
	private Integer msgStatus;//状态 1-未读 2-已读
	private Integer taskId;//任务id
	private Integer type;//类型 1.任务
	private String guid;
	
	private String taskNo;//任务单编号
	private String title;//标题
	private String paperName;//试卷名称
	private Integer batchId;//任务批次
	private Integer courseId;//课程
	private String courseCode;
	private String courseName;
	private Integer bookId;//教材
	private Date planStartTime;//计划开工时间
	private Date planEndTime;//计划结束时间
	private Date realStartTime;//实际开工时间
	private Date realEndTime;//实际结束时间
	private String remark;//备注
	private Integer propositionTeacher;//命题教师，现改名为命题教师1
	private String propositionLoginName;
	private Integer auditTeacher;//审题教师，现改名为命题教师2
	private String auditTeacherLoginName;
	private Integer typesetter;//排版员
	private String typesetterLoginName;
	private Integer primarySecretary;//主学科秘书，现改名为学科秘书1
	private String primarySecretaryLoginName;
	private Integer assistantSecretary;//辅学科秘书，现改名为学科秘书2
	private String assistantSecretaryLoginName;
	private Integer curDealer;//当前处理人
	private String status;//状态
	private String atts;//附件ID数组
	private Integer createdBy;
	private Date createdTime;
	private Integer updatedBy;
	private Date updatedTime;
	
	private Integer paperId;
	private Integer teacherAssessmentId;
	private Integer difficultyEstimateTableId;
	
	private PaperSkeleton paperSkeleton;
	private PagerConstruct pagerConstruct;
	private List<TaskFlowLog> flows;
	private Integer defaultNextDealer;
	private List<User> nextDealers;
	private List<User> preDealers;
	private Course course;
	private Book book;
	
	private String batchType;
	
	public Integer getId() {
		return id;
	}
	public void setId(Integer id) {
		this.id = id;
	}
	public Integer getSenderId() {
		return senderId;
	}
	public void setSenderId(Integer senderId) {
		this.senderId = senderId;
	}
	public Integer getReceivedId() {
		return receivedId;
	}
	public void setReceivedId(Integer receivedId) {
		this.receivedId = receivedId;
	}
	public Date getCreateTime() {
		return createTime;
	}
	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}
	public Date getUpdateTime() {
		return updateTime;
	}
	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}
	public Integer getMsgStatus() {
		return msgStatus;
	}
	public String getMsgStatusName() {
		return Consts.MsgStatus.dicMap.get(msgStatus);
	}
	public void setMsgStatus(Integer msgStatus) {
		this.msgStatus = msgStatus;
	}
	public Integer getTaskId() {
		return taskId;
	}
	public void setTaskId(Integer taskId) {
		this.taskId = taskId;
	}
	public Integer getType() {
		return type;
	}
	public void setType(Integer type) {
		this.type = type;
	}
	public String getGuid() {
		return guid;
	}
	public void setGuid(String guid) {
		this.guid = guid;
	}
	public String getTaskNo() {
		return taskNo;
	}
	public void setTaskNo(String taskNo) {
		this.taskNo = taskNo;
	}
	public String getTitle() {
		return title;
	}
	public void setTitle(String title) {
		this.title = title;
	}
	public String getPaperName() {
		return paperName;
	}
	public void setPaperName(String paperName) {
		this.paperName = paperName;
	}
	public Integer getBatchId() {
		return batchId;
	}
	public void setBatchId(Integer batchId) {
		this.batchId = batchId;
	}
	public Integer getCourseId() {
		return courseId;
	}
	public void setCourseId(Integer courseId) {
		this.courseId = courseId;
	}
	public String getCourseCode() {
		return courseCode;
	}
	public void setCourseCode(String courseCode) {
		this.courseCode = courseCode;
	}
	public String getCourseName() {
		return courseName;
	}
	public void setCourseName(String courseName) {
		this.courseName = courseName;
	}
	public Integer getBookId() {
		return bookId;
	}
	public void setBookId(Integer bookId) {
		this.bookId = bookId;
	}
	public Date getPlanStartTime() {
		return planStartTime;
	}
	public void setPlanStartTime(Date planStartTime) {
		this.planStartTime = planStartTime;
	}
	public Date getPlanEndTime() {
		return planEndTime;
	}
	public void setPlanEndTime(Date planEndTime) {
		this.planEndTime = planEndTime;
	}
	public Date getRealStartTime() {
		return realStartTime;
	}
	public void setRealStartTime(Date realStartTime) {
		this.realStartTime = realStartTime;
	}
	public Date getRealEndTime() {
		return realEndTime;
	}
	public void setRealEndTime(Date realEndTime) {
		this.realEndTime = realEndTime;
	}
	public String getRemark() {
		return remark;
	}
	public void setRemark(String remark) {
		this.remark = remark;
	}
	public Integer getPropositionTeacher() {
		return propositionTeacher;
	}
	public void setPropositionTeacher(Integer propositionTeacher) {
		this.propositionTeacher = propositionTeacher;
	}
	public String getPropositionLoginName() {
		return propositionLoginName;
	}
	public User getPropositionTeacherBean(){
		return Consts.UserMap.get(propositionTeacher);
	}
	public void setPropositionLoginName(String propositionLoginName) {
		this.propositionLoginName = propositionLoginName;
	}
	public Integer getAuditTeacher() {
		return auditTeacher;
	}
	public void setAuditTeacher(Integer auditTeacher) {
		this.auditTeacher = auditTeacher;
	}
	public String getAuditTeacherLoginName() {
		return auditTeacherLoginName;
	}
	public User getAuditTeacherBean(){
		return Consts.UserMap.get(auditTeacher);
	}
	public void setAuditTeacherLoginName(String auditTeacherLoginName) {
		this.auditTeacherLoginName = auditTeacherLoginName;
	}
	public Integer getTypesetter() {
		return typesetter;
	}
	public void setTypesetter(Integer typesetter) {
		this.typesetter = typesetter;
	}
	public String getTypesetterLoginName() {
		return typesetterLoginName;
	}
	public User getTypesetterBean(){
		return Consts.UserMap.get(typesetter);
	}
	public void setTypesetterLoginName(String typesetterLoginName) {
		this.typesetterLoginName = typesetterLoginName;
	}
	public Integer getPrimarySecretary() {
		return primarySecretary;
	}
	public void setPrimarySecretary(Integer primarySecretary) {
		this.primarySecretary = primarySecretary;
	}
	public String getPrimarySecretaryLoginName() {
		return primarySecretaryLoginName;
	}
	public User getPrimarySecretaryBean(){
		return Consts.UserMap.get(primarySecretary);
	}
	public void setPrimarySecretaryLoginName(String primarySecretaryLoginName) {
		this.primarySecretaryLoginName = primarySecretaryLoginName;
	}
	public Integer getAssistantSecretary() {
		return assistantSecretary;
	}
	public void setAssistantSecretary(Integer assistantSecretary) {
		this.assistantSecretary = assistantSecretary;
	}
	public User getAssistantSecretaryBean(){
		return Consts.UserMap.get(assistantSecretary);
	}
	public String getAssistantSecretaryLoginName() {
		return assistantSecretaryLoginName;
	}
	public void setAssistantSecretaryLoginName(String assistantSecretaryLoginName) {
		this.assistantSecretaryLoginName = assistantSecretaryLoginName;
	}
	public Integer getCurDealer() {
		return curDealer;
	}
	public User getCurDealerBean(){
		return Consts.UserMap.get(curDealer);
	}
	public void setCurDealer(Integer curDealer) {
		this.curDealer = curDealer;
	}
	public String getStatus() {
		return Consts.PaperTaskStatus.dicMap.get(status);
	}
	public void setStatus(String status) {
		this.status = status;
	}
	public String getAtts() {
		return atts;
	}
	public void setAtts(String atts) {
		this.atts = atts;
	}
	public Integer getCreatedBy() {
		return createdBy;
	}
	public void setCreatedBy(Integer createdBy) {
		this.createdBy = createdBy;
	}
	public Date getCreatedTime() {
		return createdTime;
	}
	public void setCreatedTime(Date createdTime) {
		this.createdTime = createdTime;
	}
	public Integer getUpdatedBy() {
		return updatedBy;
	}
	public void setUpdatedBy(Integer updatedBy) {
		this.updatedBy = updatedBy;
	}
	public Date getUpdatedTime() {
		return updatedTime;
	}
	public void setUpdatedTime(Date updatedTime) {
		this.updatedTime = updatedTime;
	}
	public Integer getPaperId() {
		return paperId;
	}
	public void setPaperId(Integer paperId) {
		this.paperId = paperId;
	}
	public Integer getTeacherAssessmentId() {
		return teacherAssessmentId;
	}
	public void setTeacherAssessmentId(Integer teacherAssessmentId) {
		this.teacherAssessmentId = teacherAssessmentId;
	}
	public Integer getDifficultyEstimateTableId() {
		return difficultyEstimateTableId;
	}
	public void setDifficultyEstimateTableId(Integer difficultyEstimateTableId) {
		this.difficultyEstimateTableId = difficultyEstimateTableId;
	}
	public PaperSkeleton getPaperSkeleton() {
		return paperSkeleton;
	}
	public void setPaperSkeleton(PaperSkeleton paperSkeleton) {
		this.paperSkeleton = paperSkeleton;
	}
	public PagerConstruct getPagerConstruct() {
		return pagerConstruct;
	}
	public void setPagerConstruct(PagerConstruct pagerConstruct) {
		this.pagerConstruct = pagerConstruct;
	}
	public List<TaskFlowLog> getFlows() {
		if(flows == null){
			flows = new ArrayList<TaskFlowLog>();
		}
		return flows;
	}
	public void setFlows(List<TaskFlowLog> flows) {
		this.flows = flows;
	}
	public Integer getDefaultNextDealer() {
		return defaultNextDealer;
	}
	public void setDefaultNextDealer(Integer defaultNextDealer) {
		this.defaultNextDealer = defaultNextDealer;
	}
	public List<User> getNextDealers() {
		return nextDealers;
	}
	public void setNextDealers(List<User> nextDealers) {
		this.nextDealers = nextDealers;
	}
	public List<User> getPreDealers() {
		return preDealers;
	}
	public void setPreDealers(List<User> preDealers) {
		this.preDealers = preDealers;
	}
	public Course getCourse() {
		return course;
	}
	public void setCourse(Course course) {
		this.course = course;
	}
	public Book getBook() {
		return book;
	}
	public void setBook(Book book) {
		this.book = book;
	}
	public String getBatchType() {
		return batchType;
	}
	public String getBatchTypeName() {
		return Consts.TaskBatchType.dicMap.get(batchType);
	}
	public void setBatchType(String batchType) {
		this.batchType = batchType;
	}

}
